> ## Documentation Index
> Fetch the complete documentation index at: https://help.eazybe.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Şablonları başka bir WABA'dan taşı

> Şablonları başka bir WABA'dan taşı. Bu işlem için parametreleri, örneği ve kullanılabilir yanıtları inceleyin.



## OpenAPI

````yaml tr/api-reference/meta/openapi.json POST /meta/wabas/{wabaId}/templates/migrate
openapi: 3.1.0
info:
  title: Eazybe Meta API Katmanı
  version: 1.0.0
  description: >-
    WhatsApp Business Cloud API için kimlik doğrulamalı tek bir Eazybe REST
    yüzeyi.
servers:
  - url: https://cerberus.eazybe.com/staging/api/v2
    description: Bu yer tutucuyu ortamınıza atanmış Eazybe API sunucusuyla değiştirin.
security:
  - bearerAuth: []
tags:
  - name: Telefon numaraları
    description: Bağlı WABA ve telefon numarası kimliklerini bulun.
  - name: Mesajlaşma
    description: WhatsApp mesajları gönderin ve mesaj durumunu güncelleyin.
  - name: Şablonlar
    description: WhatsApp mesaj şablonlarını yönetin.
  - name: Medya
    description: WhatsApp medya dosyalarını yükleyin, görüntüleyin ve silin.
  - name: Webhook'lar
    description: Bir WABA'nın webhook aboneliklerini yönetin.
  - name: Analizler
    description: Mesajlaşma, konuşma, fiyatlandırma ve şablon analizlerini görüntüleyin.
  - name: Profiller ve ayarlar
    description: İşletme profillerini ve telefon numarası ayarlarını yönetin.
  - name: Otomasyon
    description: Karşılama mesajlarını, başlangıç sorularını ve komutları yapılandırın.
  - name: QR kodları
    description: Sohbete yönlendiren QR kodlarını yönetin.
  - name: Flows
    description: WhatsApp Flows yaşam döngüsünü yönetin.
  - name: Numara yönetimi
    description: >-
      Numaraları kaydedin, PIN'leri yönetin ve birlikte kullanım verilerini
      eşitleyin.
  - name: Engellenenler listesi
    description: WhatsApp kullanıcılarını listeleyin, engelleyin ve engellerini kaldırın.
paths:
  /meta/wabas/{wabaId}/templates/migrate:
    post:
      tags:
        - Şablonlar
      summary: Şablonları başka bir WABA'dan taşı
      description: >-
        Şablonları başka bir WABA'dan taşı. Bu işlem için parametreleri, örneği
        ve kullanılabilir yanıtları inceleyin.
      operationId: migrateTemplates
      parameters:
        - $ref: '#/components/parameters/WabaId'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - sourceWabaId
                - pageNumber
              properties:
                sourceWabaId:
                  type: string
                pageNumber:
                  type: integer
              description: |-
                ```json
                {
                  "sourceWabaId": "1122334455",
                  "pageNumber": 0
                }
                ```
            example:
              sourceWabaId: '1122334455'
              pageNumber: 0
      responses:
        '200':
          description: >-
            Migration page processed


            **Failure responses**


            | **Status** | **Meaning** | **Action** |

            | --- | --- | --- |

            | `401` | Missing, invalid, or expired bearer token |
            Re-authenticate |

            | `404` | Destination `wabaId` not linked to your organization |
            Verify the id |

            | `400` | `sourceWabaId` not owned by the same business, or not
            accessible | Confirm both WABAs sit under one business |

            | `502` | Graph unreachable or timed out | Retry with backoff |
          content:
            application/json:
              schema:
                type: object
                required:
                  - migrated_templates
                  - failed_templates
                properties:
                  migrated_templates:
                    type: array
                    items:
                      type: object
                      required:
                        - id
                        - name
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                  failed_templates:
                    type: array
                    items:
                      type: object
                      required:
                        - name
                        - reason
                      properties:
                        name:
                          type: string
                        reason:
                          type: string
              example:
                migrated_templates:
                  - id: '778899001127'
                    name: order_update
                  - id: '778899001128'
                    name: payment_reminder
                failed_templates:
                  - name: old_promo
                    reason: TEMPLATE_NAME_ALREADY_EXISTS
components:
  parameters:
    WabaId:
      name: wabaId
      in: path
      required: true
      description: >-
        `GET /meta/phone-numbers` tarafından döndürülen WhatsApp Business hesabı
        kimliği.
      schema:
        type: string
      example: '1029384756'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Eazybe token
      description: >-
        Eazybe bearer tokenı. Token kuruluşu tanımlar ve sunucuda güvenli
        tutulmalıdır.

````